package cn.iocoder.yudao.module.ecw.api.bank;

import cn.iocoder.yudao.module.ecw.api.bank.dto.BankAccountDTO;

import java.util.List;

public interface BankApi {
    /**
     * 根据银行账号获取账号信息
     */
    List<BankAccountDTO> getBankAccountByAccountNo(String baAccountNum);
    /**
     * 根据银行账号id获取账号信息
     */
    BankAccountDTO getBankAccountByAccountId(Long id);

    /**
     * 更新银行账号余额
     * @param bankAccountDTO
     * @param isAdd
     */
    void updateBankAccountBalance(BankAccountDTO bankAccountDTO, boolean isAdd);
}
