package cn.iocoder.yudao.module.ecw.api.currency.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class ExchangeRateRespDTO {
    @ApiModelProperty(value = "原币种")
    private Long sourceCurrencyId;

    @ApiModelProperty(value = "原币种代码")
    private String sourceCurrencyCode;

    @ApiModelProperty(value = "目标币种")
    private Long targetCurrencyId;

    @ApiModelProperty(value = "目标种代码")
    private String targetCurrencyCode;

    @ApiModelProperty(value = "汇率")
    private BigDecimal currencyRate;

    @ApiModelProperty(value = "原币种基础兑换金额")
    private BigDecimal sourceCurrencyAmount;

    @ApiModelProperty(value = "目标币种基础兑换金额")
    private BigDecimal targetCurrencyAmount;

    @ApiModelProperty(value = "汇率有效期")
    private Date expireDate;
}
