package cn.iocoder.yudao.module.ecw.api.region.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class RegionDTO {

    private Long id;

    @ApiModelProperty(value = "中文")
    private String titleZh;

    @ApiModelProperty(value = "英文")
    private String titleEn;

    @ApiModelProperty(value = "进口国运费币种")
    private String importCurrency1;

    @ApiModelProperty(value = "进口国清关费币种")
    private String importCurrency2;

    @ApiModelProperty(value = "进口国额外费用主币种 （匹配币种一致的金额）")
    private String importCurrency3;

    @ApiModelProperty(value = "进口国额外费用副币种 （未匹配主币种的金额统一转换为额外费用副币种金额）")
    private String importCurrency4;

    @ApiModelProperty(value = "进口国应收额币种")
    private String importCurrency5;
}
