package cn.iocoder.yudao.module.ecw.convert.currencyRate;

import cn.iocoder.yudao.module.ecw.api.currency.dto.ExchangeRateRespDTO;
import cn.iocoder.yudao.module.ecw.dal.dataobject.currencyRate.CurrencyRateDO;
import cn.iocoder.yudao.module.ecw.vo.currencyRate.CurrencyRateCreateReqVO;
import cn.iocoder.yudao.module.ecw.vo.currencyRate.CurrencyRateUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.MappingTarget;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper
public interface CurrencyRateConvert {
    CurrencyRateConvert INSTANCE = Mappers.getMapper(CurrencyRateConvert.class);

    CurrencyRateDO from(CurrencyRateCreateReqVO req);
    List<ExchangeRateRespDTO> convertList2(List<CurrencyRateDO> currencyRateDOList);

    void update(@MappingTarget CurrencyRateDO saved, CurrencyRateUpdateReqVO req);
}
